#!/usr/bin/env node

//console.log(arguments)
//console.log(process.argv)

var fs = require('fs')

var Runner = require('../lib/runner.js').Runner
var runner = new Runner();

var ttScriptFile = process.argv[2];

if (!ttScriptFile) throw new Error('Template Transformation Script not found: ', ttScriptFile)

var arguments = [];
for (var i=3; i<process.argv.length; i++) {
  arguments.push(process.argv[i]);
}

runner.load(ttScriptFile);

runner.execute(arguments)


